JFLAGS = -g
JARFLAGS = cf
JVM= java
JAR = jar
JC = javac
JDOC = javadoc
MAIN= PlantApplication.jar
JVMFLAGS= -jar

.SUFFIXES: .java .class
.java.class:
	    $(JC) $(JFLAGS) $*.java

CLASSES =\
	Equipment.java \
	TimePace.java \
	PlantView.java \
	PlantPanel.java \
	PlantApplet.java \
	grafics.java \
	PlantApplication.java \
	Controller.java \
	Tank.java

ARCHIVOS = \
	*.class \
	houston.wav \
	trompeta.gif \
	controller.png

default: classes

classes: $(CLASSES:.java=.class)

doc:	 
	 $(JDOC) -d ./docs *.java
clean:	 
	 $(RM) *.class
jar:	 
	 $(JAR) $(JARFLAGS) $(MAIN) $(ARCHIVOS)
run: 
	 $(JVM) $(JVMFLAGS) $(MAIN)
